<template>
    <div>
        <breadcrumb-component title="Centro de Custos" :pages="breadPages"/>

        <panel-component title="Editar centro de custos" length="6">

            <form-centro-custo :formData="formData" :isUpdate="true"></form-centro-custo>

        </panel-component>
    </div>
</template>

<script>
    import FormCentroCustoComponent from './FormCentroCustoComponent'

    export default {
        props: {
            id: {
                require: true
            }
        },
        components: {
            FormCentroCusto: FormCentroCustoComponent
        },

        data() {
            return {
                formData: {},
                breadPages: [
                    {link: 'dashboard', name: 'Dashboard', active: false},
                    {link: 'centro-custos', name: 'Financeiro', active: false},
                    {link: 'centro-custos', name: 'Centro de custos', active: false},
                    {link: 'centro-custos.create', name: 'Cadastrar', active: true},
                ]
            }
        },
        created() {
            this.$store.dispatch('loadCentroCusto', this.id)
                .then(response => {
                    this.formData = response.centroCusto
                })
                .catch(() => {
                    this.$snotify.error('encontrado', '404')
                    this.$router.push({name: 'centro-custos'})
                })
        }

    }
</script>